﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;
using System.Xml;
using System.Reflection;
using System.IO;

namespace XamDockManagerTests
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void btnSaveLayout_Click(object sender, RoutedEventArgs e)
        {
            string layout = xdmMain.SaveLayout();
            TextWriter tr = new StreamWriter("layout.xml");
            tr.Write(layout);
            tr.Close();
        }

        private void btnLoadLayout_Click(object sender, RoutedEventArgs e)
        {
            TextReader tr = new StreamReader("layout.xml");
            string layout = tr.ReadToEnd();
            tr.Close();
            xdmMain.LoadLayout(layout);
        }
    }
}
